Loading...
Searching...
No Matches
wayland::server::zwp_text_input_v3_content_hint Struct Reference

content hint More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 10, 28 > | none
| no special behavior
static const wayland::detail::bitfield< 10, 28 > | completion
| suggest word completions
static const wayland::detail::bitfield< 10, 28 > | spellcheck
| suggest word corrections
static const wayland::detail::bitfield< 10, 28 > | auto_capitalization
| switch to uppercase letters at the start of a sentence
static const wayland::detail::bitfield< 10, 28 > | lowercase
| prefer lowercase letters
static const wayland::detail::bitfield< 10, 28 > | uppercase
| prefer uppercase letters
static const wayland::detail::bitfield< 10, 28 > | titlecase
| prefer casing for titles and headings (can be language dependent)
static const wayland::detail::bitfield< 10, 28 > | hidden_text
| characters should be hidden
static const wayland::detail::bitfield< 10, 28 > | sensitive_data
| typed text should not be stored
static const wayland::detail::bitfield< 10, 28 > | latin
| just Latin characters should be entered
static const wayland::detail::bitfield< 10, 28 > | multiline
| the text input is multiline

## Detailed Description

content hint

    Content hint is a bitmask to allow to modify the behavior of the text
    input.

Definition at line 7383 of file wayland-server-protocol-unstable.hpp.

## Member Data Documentation

## auto_capitalization

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::auto_capitalization

static

switch to uppercase letters at the start of a sentence

Definition at line 7396 of file wayland-server-protocol-unstable.hpp.

## completion

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::completion

static

suggest word completions

Definition at line 7392 of file wayland-server-protocol-unstable.hpp.

## hidden_text

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::hidden_text

static

characters should be hidden

Definition at line 7404 of file wayland-server-protocol-unstable.hpp.

## latin

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::latin

static

just Latin characters should be entered

Definition at line 7408 of file wayland-server-protocol-unstable.hpp.

## lowercase

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::lowercase

static

prefer lowercase letters

Definition at line 7398 of file wayland-server-protocol-unstable.hpp.

## multiline

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::multiline

static

the text input is multiline

Definition at line 7410 of file wayland-server-protocol-unstable.hpp.

## none

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::none

static

no special behavior

Definition at line 7390 of file wayland-server-protocol-unstable.hpp.

## sensitive_data

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::sensitive_data

static

typed text should not be stored

Definition at line 7406 of file wayland-server-protocol-unstable.hpp.

## spellcheck

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::spellcheck

static

suggest word corrections

Definition at line 7394 of file wayland-server-protocol-unstable.hpp.

## titlecase

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::titlecase

static

prefer casing for titles and headings (can be language dependent)

Definition at line 7402 of file wayland-server-protocol-unstable.hpp.

## uppercase

const wayland::detail::bitfield<10, 28> wayland::server::zwp_text_input_v3_content_hint::uppercase

static

prefer uppercase letters

Definition at line 7400 of file wayland-server-protocol-unstable.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp